Before delving into the topic of discrete rebalancing, I describe the trading policy induced by cppi products. I stay within the context of the two assets model, i.e. cash (with zero interest rate) plus a risky asset. As usual, the risky asset is initialized with price \(p=1\). Portfolios are initialized with one dollar.

Consider a portfolio which trades so as to keep the proportion of the risky asset at \(0 \lt \pi \lt 1\). A cppi overlay consists in protecting a certain level \(\underline{p}\) with I choose to set at \(1/2\) for illustration. I'll assume that the exposure to the risky asset is decreased linearly from  \(\pi\) at \(p=1\) to zero at \(p=1/2\). This gives the following exposure to the portfolio:
\[\pi(p)=\pi-2(1-p),\, 1/2 \lt p \lt 1,\]
\[\pi(p)=0,\, p \lt 1/2,\]
\[\pi(p)=\pi,\, p \geq 1.\]

I give the calculations below, but the next two graphs illustrate the results. As is clear from the graphs (and intuitively obvious given our training), the trading policy is contrarian for \(p \geq 1\) and momentum for \(p \le 1\). Downside protection forces to sell the asset when its price has gone down, and to buy it when it has gone up.

This closes the illustrations. I'll now move on to investigate the way contrarian and momentum trading interact with discrete time rebalancing. In the context of discrete time rebalancing, price cycles hurt momentum trading while it benefits contrarian trading. It is clear from all the examples we have set that continuous trading, in the ideal situation of smooth price trajectories, is completely neutral vis-à-vis price cycles. Price cycles don't create nor destroy value in such a context. This opens the door to a certain type of performance attribution which precisely measures the contribution of price cycles to discretely rebalanced portfolios.




